print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local hempHudFile = "Paletten/hud_fill_hemp.dds"
	local hempHudFileSmall = "Paletten/hud_fill_hemp_smal.dds"
	
    local hempFilType = g_fillTypeManager:addFillType("HEMP", g_i18n:getText("hemp"), true, pricebeer * 0.5, 0.00045, math.rad(10), hempHudFile, hempHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hashemp=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hashemp=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "HEMP" then
		hashemp=true
	end;
		
end;

		if hasmaize and not hashemp then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("HEMP")
		local price = g_fillTypeManager:getFillTypeByName("HEMP").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("HEMP")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)